.c-header.c-header-template-1 .widget-authorization-panel .widget-authorization-modal {
  display: none;
}

/* CUSTOM */

.widget-authorization-panel {
  display: flex;
  /* width: 160px; */
  min-width: 137px;
  position: relative;
}

.widget-authorization-panel::before {
  content: '';
  position: absolute;
  top: 0px;
  left: -16px;
  width: calc(100% + 32px);
  height: 100%;
  background: #515151;
  opacity: 0;
  visibility: hidden;
  transition: opacity .3s;
  border-radius: 8px 8px 0px 0px;
  z-index: 1;
}

.widget-authorization-panel:hover::before {
  opacity: 1;
  visibility: visible;
}

.c-header.c-header-template-1 .widget-view.widget-view-desktop .widget-panel-button-wrapper {
  height: auto;
}

.c-header.c-header-template-1 .widget-view.widget-view-desktop .widget-panel-button {
  padding: 12px 0px;
  border-radius: 12px 12px 0 0;
  transition: background .3s;
  width: 100%;
  z-index: 2;
}

/* .c-header.c-header-template-1 .widget-view.widget-view-desktop .widget-authorization-panel:hover .widget-panel-button {
  background: #515151;
} */

.c-header.c-header-template-1 .widget-view.widget-view-desktop .widget-panel-button .widget-panel-button-text {
  color: #fff;
  font-size: 14px;
  font-weight: 400;
  line-height: 16px;
  display: flex;
  align-items: center;
  justify-content: end;
  width: 100%;
}

.user-name-divider {
  height: 16px;
  width: 1px;
  background: #fff;
  margin: 0 auto 0 0;
  margin-right: 8px;
}

.c-header.c-header-template-1 .widget-view.widget-view-desktop .widget-panel-button:hover .widget-panel-button-text {
  color: #fff;
}

.widget-authorization-panel .headcard {
  top: 100%;
  /* left: 0;
  width: 100%; */
  transition: opacity .3s;
}

.widget-authorization-panel:hover .headcard {
  visibility: visible;
  opacity: 1;
}

.widget-authorization-panel a.headcard__link {
  display: flex;
  align-items: center;
  gap: 4px;

  padding: 4px 16px;
  color: #141414;
}

.widget-authorization-panel a.headcard__link:hover {
  text-decoration: none;
  color: #0053B5;
}

.widget-authorization-panel .headcard__item_last {
  margin-bottom: 8px;
}

.widget-authorization-panel .headcard__item_exit {
  border-top: 1px solid #D9D9D9;
}

.widget-authorization-panel .headcard__item_exit a.headcard__link {
  padding: 8px 16px 12px;
}
/*# sourceMappingURL=style.css.map */

/* CUSTOM */

.modal__overlay {
  opacity: 0;
  visibility: hidden;
  background: #00000080;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  transition: .3s ease;
  cursor: pointer;
}

.modal__content {
  position: fixed;
  right: 0;
  bottom: 0;
  top: 0;
  z-index: 100;
  width: 480px;
  height:  100%;
  padding: 40px 8px 40px 40px;
  border-radius: 16px 0 0 16px;
  z-index: 11;
  background: #FFF;
  overflow-y: auto;
}

/* .modal__content::-webkit-scrollbar {
  display: none;
} */

.modal__content::-webkit-scrollbar-track {
  background: #DDDDDD;
  border-radius: 4px;
  height: 200px;
  margin: 60px;
}

.modal__content::-webkit-scrollbar {
  width: 4px;
}

.modal__content::-webkit-scrollbar-thumb {
  border-radius: 4px;
  background: #141414;
}

.modal__wrapper {
  padding-right: 30px;
}

.modal__content_opened {
  opacity: 1;
  visibility: visible;
  transition: .3s ease;
}

.modal__content_closed {
  transform: translateX(150%);
  opacity: 0;
  visibility: hidden;
  transition: .3s ease;
}

.modal__content_bg {
  background-position: bottom right;
  background-size: contain;
  background-repeat: no-repeat;
}

@media (max-height: 820px) {
  .modal__content_bg {
    background-size: cover;
  }
}

.modal__overlay_active {
  opacity: 1;
  visibility: visible;
  transition: .3s ease;
}

.modal__inner {
  align-items: flex-start;
  display: flex;
  flex-direction: column;
  position: relative;
  gap: 0;
  width: 100%;
  padding-right: 16px;
}

.modal__content .modal__cross {
  display: block;
  cursor: pointer;
  z-index: 12;
  width: 33px;
  height: 33px;
  background: #FFFFFF;
  border: 1px solid transparent;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  /* padding: 5px; */
}

.modal__content .modal__cross svg {
  color: #8C8C8C;
  height: 32px;
  width: 32px;
  /* width: 100%;
  height: 100%; */
  /* padding: 9px; */
}

.modal__cross.desktop {
  margin-left: auto;
}

.modal__cross.mobile {
  display: none;
}

@media (max-width: 768px) {
  .modal__cross.desktop {
    display: none;
  }

  .modal__cross.mobile {
    display: flex;
  }
}

.modal table {
  border-collapse: collapse;
  width: 400px;
  border: .5px solid #D9D9D9;
  border-radius: 8px;
  margin: 0 0 40px;
}

.modal th {
  font-size: 14px;
  font-weight: 400;
  line-height: 21px;
  color: #141414;
  padding: 8px 16px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  border: .5px solid #D9D9D9;
}

.modal td {
  font-size: 14px;
  font-weight: 400;
  line-height: 21px;
  color: #141414;
  padding: 8px 16px;
  border: .5px solid #D9D9D9;
  width: 200px;
  height: 58px;
  box-sizing: content-box;
  display: flex;
  align-items: center;
  justify-content: center;
}

.modal td:first-child {
  color: #8C8C8C;
  justify-content: flex-start;
}

.modal tr {
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 400px;
}

.modal__cross-big {
  display: none;
}

.modal h2 {
  display: flex;
  font-size: 24px;
  font-weight: 600;
  line-height: 32px;
  padding: 0;
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
  width: 100%;
  color: #272727;
  margin: 0 0 40px;
}

.modal h3 {
  font-size: 18px;
  font-weight: 600;
  line-height: 28px;
  color: #272727;
  margin: 0 0 8px;
  text-align: start;
}

.modal span {
  font-size: 14px;
  font-weight: 400;
  line-height: 21px;
  color: #8C8C8C;
  margin: 0 0 8px;
}

.modal p {
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  color: #141414;
  margin: 0 0 16px;
}

.modal p:has(+h2),
.modal p:has(+h3),
.modal p:has(table),
.modal span:has(+h2),
.modal span:has(+h3),
.modal span:has(+table) {
  margin: 0 0 40px;
}

.modal a {
  align-self: center;
  color: #141414;
  padding-bottom: 4px;
  border-bottom: 1px solid #141414;
}

.scroll {
  overflow-y: hidden;
}

@media(max-width: 768px) {
  .modal__content {
    position: fixed;
    left: 0;
    bottom: -25px;
    top: auto;
    min-width: 360px;
    max-height: 90vh;
    width: 100%;
    padding: 50px 0 0 0;
    transform: skew(0, 4deg);
    z-index: 11;
    background: transparent;
    overflow-y: visible;
    
  }

  .modal__wrapper {
    border-radius: 24px 32px 0 0;
    padding: 50px 16px 0;
    background: #FFF;
    margin-top: auto;
    height: 100%;
  }

  .modal__inner {
    transform: skew(0, -4deg);
    align-items: flex-start;
    display: flex;
    flex-direction: column;
    position: relative;
    width: 100%;
    padding: 0 0 8px;
    max-height: 70vh;
    scrollbar-width: none;
    overflow-y: auto;
  }

  .modal__content_opened {
    opacity: 1;
    visibility: visible;
    transition: .3s ease;
  }

  .modal__content_closed {
    transform: translateY(150%);
    opacity: 0;
    visibility: hidden;
    transition: .3s ease;
  }

  .modal__content .modal__cross {
    transform: skew(0, -4deg);
    display: block;
    position: absolute;
    z-index: 12;
    top: 25px;
    right: 18px;
    width: 48px;
    height: 48px;
    background: #FFFFFF;
    border-radius: 50%;
    box-shadow: 0px 0px 24px 0px #00000040;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
  }

  .modal table {
    width: 100%;
  }

  .modal th {
    font-size: 12px;
    line-height: 18px;
  }
  
  .modal td {
    font-size: 12px;
    line-height: 18px;
    width: 50%;
    height: auto;
  }

  .modal tr {
    max-width: 100%;
  }

  .modal__cross-big {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #14141433;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    align-self: center;
    margin: 40px auto 40px;
    position: relative;
    z-index: 12;
    padding: 24px 0;
  }

  .modal h2 {
    font-size: 20px;
    line-height: 30px;
    margin: 0 0 16px;
  }

  .modal h3 {
    font-size: 16px;
    line-height: 24px;
  }

  .modal p {
    font-size: 14px;
    line-height: 21px;
    margin: 0 0 8px;
  }

  .modal p:has(+h2),
  .modal p:has(+h3),
  .modal p:has(table),
  .modal span:has(+h2),
  .modal span:has(+h3),
  .modal span:has(+table) {
    margin: 0 0 24px;
  }

  .modal a {
    color: #141414;
    padding-bottom: 4px;
    border-bottom: 1px solid #141414;
  }
}